<template lang="pug">
.columns.is-flex.is-multiline.is-mobile
	.column.is-12( v-for='(item, i) in items' :key='i' ): faq-item( :modelValue='getItem(i)' @update:modelValue='handleEdit($event, i)' @remove='removeItem(i)' )
	.column.is-12
		b-button( type="success" size="small" fullwidth @click='addItem' )
			span.icon
				i.fa-solid.fa-plus
	.column.is-12
		b-button( node="button" type="primary" :loading='loading' fullwidth ) {{ $t("buttons.save") }}
</template>

<script setup>
import FaqItem from "@/components/faq/FaqItem.vue"

import { computed, nextTick, ref, watch } from "vue"
import { useSettingsStore } from "@/stores/settings"

const props = defineProps({
	// modelValue: {
	// 	type: Array,
	// 	default: () => []
	// },
	store: String,
	loading: Boolean
})
const emit = defineEmits([ "update:modelValue" ])

const ss = useSettingsStore()

let items = computed({
	get: () => {
		return ss.get("faq")?.[props.store] || []
	},
	set: val => {
		if (!ss.settings["faq"]) ss.settings["faq"] = { ru: [], en: [] }
		ss.settings["faq"][props.store] = val
	}
})

const getItem = computed(() => i => items.value[i])
const addItem = () => {
	let data = items.value
	data.push({})
	items.value = data
}
const removeItem = i => {
	// items.value.splice(i ,1)
	// items.value.splice(i, 1)
	let data = items.value
	data.splice(i, 1)
	items.value = data
	// emit("update:modelValue", data)
}
const handleEdit = (v, i) => {
	items.value[i] = v
	// let data = props.modelValue
	// data[i] = v
	// emit("update:modelValue", data)
}

// watch(() => [...items.value], nv => emit("update:modelValue", nv))
// watch(() => [...props.modelValue], nv => items.value = nv)
</script>